"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerUsabilityPharmacogenomics(object):
    """
    Variant usability for pgx variants:      * `change_dosing`: Change in
    therapeutic dosing - current or future *
    `alternative_therapeutic`: Alternative therapeutic chosen * `na`:
    Not applicable
    """

    change_dosing = "change_dosing"
    alternative_therapeutic = "alternative_therapeutic"
    na = "na"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.0.1"
